2024-06-25 21:08:02,709 [restartedMain] INFO  [com.bootdo.CicApplication] StartupInfoLogger.java:50 - Starting CicApplication on USER-20240326LD with PID 4372 (D:\bj106_workspace\cic\cic-data-reportin\target\classes started by Administrator in D:\bj106_workspace\cic\cic-data-reportin)
2024-06-25 21:08:02,710 [restartedMain] INFO  [com.bootdo.CicApplication] SpringApplication.java:659 - No active profile set, falling back to default profiles: default
2024-06-25 21:08:02,716 [restartedMain] INFO  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:590 - Refreshing org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@1e3bab68: startup date [Tue Jun 25 21:08:02 CST 2024]; root of context hierarchy
2024-06-25 21:08:03,138 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo.*.dao]' package. Please check your configuration.
2024-06-25 21:08:03,183 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo]' package. Please check your configuration.
2024-06-25 21:08:03,221 [restartedMain] INFO  [o.s.d.r.config.RepositoryConfigurationDelegate] RepositoryConfigurationDelegate.java:163 - Multiple Spring Data modules found, entering strict repository configuration mode!
2024-06-25 21:08:03,345 [restartedMain] INFO  [o.s.c.s.PostProcessorRegistrationDelegate$BeanPostProcessorChecker] PostProcessorRegistrationDelegate.java:328 - Bean 'org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration' of type [org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration$$EnhancerBySpringCGLIB$$f18d2d9d] is not eligible for getting processed by all BeanPostProcessors (for example: not eligible for auto-proxying)
2024-06-25 21:08:03,610 [restartedMain] INFO  [o.s.boot.web.embedded.tomcat.TomcatWebServer] TomcatWebServer.java:91 - Tomcat initialized with port(s): 8080 (http)
2024-06-25 21:08:03,611 [restartedMain] INFO  [org.apache.coyote.http11.Http11NioProtocol] DirectJDKLog.java:180 - Initializing ProtocolHandler ["http-nio-8080"]
2024-06-25 21:08:03,612 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Starting service [Tomcat]
2024-06-25 21:08:03,613 [restartedMain] INFO  [org.apache.catalina.core.StandardEngine] DirectJDKLog.java:180 - Starting Servlet Engine: Apache Tomcat/8.5.31
2024-06-25 21:08:03,653 [localhost-startStop-1] INFO  [o.a.c.core.ContainerBase.[Tomcat].[localhost].[/]] DirectJDKLog.java:180 - Initializing Spring embedded WebApplicationContext
2024-06-25 21:08:03,654 [localhost-startStop-1] INFO  [org.springframework.web.context.ContextLoader] ServletWebServerApplicationContext.java:285 - Root WebApplicationContext: initialization completed in 938 ms
2024-06-25 21:08:03,707 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.ServletRegistrationBean] ServletRegistrationBean.java:186 - Servlet dispatcherServlet mapped to [/]
2024-06-25 21:08:03,707 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'characterEncodingFilter' to: [/*]
2024-06-25 21:08:03,707 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'hiddenHttpMethodFilter' to: [/*]
2024-06-25 21:08:03,708 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'httpPutFormContentFilter' to: [/*]
2024-06-25 21:08:03,708 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'requestContextFilter' to: [/*]
2024-06-25 21:08:03,795 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**/favicon.ico] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:04,020 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerAdapter] RequestMappingHandlerAdapter.java:574 - Looking for @ControllerAdvice: org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@1e3bab68: startup date [Tue Jun 25 21:08:02 CST 2024]; root of context hierarchy
2024-06-25 21:08:04,041 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error]}" onto public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String, java.lang.Object>> org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.error(javax.servlet.http.HttpServletRequest)
2024-06-25 21:08:04,041 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error],produces=[text/html]}" onto public org.springframework.web.servlet.ModelAndView org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.errorHtml(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
2024-06-25 21:08:04,066 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/webjars/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:04,067 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:04,102 [restartedMain] WARN  [o.s.b.a.t.ThymeleafAutoConfiguration$DefaultTemplateResolverConfiguration] ThymeleafAutoConfiguration.java:104 - Cannot find template location: classpath:/templates/ (please add some templates or check your Thymeleaf configuration)
2024-06-25 21:08:04,147 [restartedMain] WARN  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:558 - Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'dataSource' defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [com.zaxxer.hikari.HikariDataSource]: Factory method 'dataSource' threw exception; nested exception is org.springframework.boot.autoconfigure.jdbc.DataSourceProperties$DataSourceBeanCreationException: Failed to determine a suitable driver class
2024-06-25 21:08:04,148 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Stopping service [Tomcat]
2024-06-25 21:08:04,160 [restartedMain] INFO  [o.s.b.a.l.ConditionEvaluationReportLoggingListener] ConditionEvaluationReportLoggingListener.java:101 - 

Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.
2024-06-25 21:08:04,168 [restartedMain] ERROR [o.s.b.diagnostics.LoggingFailureAnalysisReporter] LoggingFailureAnalysisReporter.java:42 - 

***************************
APPLICATION FAILED TO START
***************************

Description:

Failed to configure a DataSource: 'url' attribute is not specified and no embedded datasource could be configured.

Reason: Failed to determine a suitable driver class


Action:

Consider the following:
	If you want an embedded database (H2, HSQL or Derby), please put it on the classpath.
	If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active).

2024-06-25 21:08:15,144 [restartedMain] INFO  [com.bootdo.CicApplication] StartupInfoLogger.java:50 - Starting CicApplication on USER-20240326LD with PID 4372 (D:\bj106_workspace\cic\cic-data-reportin\target\classes started by Administrator in D:\bj106_workspace\cic\cic-data-reportin)
2024-06-25 21:08:15,145 [restartedMain] INFO  [com.bootdo.CicApplication] SpringApplication.java:659 - No active profile set, falling back to default profiles: default
2024-06-25 21:08:15,154 [restartedMain] INFO  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:590 - Refreshing org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@1c2c3d28: startup date [Tue Jun 25 21:08:15 CST 2024]; root of context hierarchy
2024-06-25 21:08:16,018 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo.*.dao]' package. Please check your configuration.
2024-06-25 21:08:16,082 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo]' package. Please check your configuration.
2024-06-25 21:08:16,146 [restartedMain] INFO  [o.s.d.r.config.RepositoryConfigurationDelegate] RepositoryConfigurationDelegate.java:163 - Multiple Spring Data modules found, entering strict repository configuration mode!
2024-06-25 21:08:16,331 [restartedMain] INFO  [o.s.c.s.PostProcessorRegistrationDelegate$BeanPostProcessorChecker] PostProcessorRegistrationDelegate.java:328 - Bean 'org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration' of type [org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration$$EnhancerBySpringCGLIB$$f18d2d9d] is not eligible for getting processed by all BeanPostProcessors (for example: not eligible for auto-proxying)
2024-06-25 21:08:16,691 [restartedMain] INFO  [o.s.boot.web.embedded.tomcat.TomcatWebServer] TomcatWebServer.java:91 - Tomcat initialized with port(s): 8080 (http)
2024-06-25 21:08:16,692 [restartedMain] INFO  [org.apache.coyote.http11.Http11NioProtocol] DirectJDKLog.java:180 - Initializing ProtocolHandler ["http-nio-8080"]
2024-06-25 21:08:16,692 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Starting service [Tomcat]
2024-06-25 21:08:16,693 [restartedMain] INFO  [org.apache.catalina.core.StandardEngine] DirectJDKLog.java:180 - Starting Servlet Engine: Apache Tomcat/8.5.31
2024-06-25 21:08:16,752 [localhost-startStop-1] INFO  [o.a.c.c.ContainerBase.[Tomcat-1].[localhost].[/]] DirectJDKLog.java:180 - Initializing Spring embedded WebApplicationContext
2024-06-25 21:08:16,753 [localhost-startStop-1] INFO  [org.springframework.web.context.ContextLoader] ServletWebServerApplicationContext.java:285 - Root WebApplicationContext: initialization completed in 1599 ms
2024-06-25 21:08:16,843 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.ServletRegistrationBean] ServletRegistrationBean.java:186 - Servlet dispatcherServlet mapped to [/]
2024-06-25 21:08:16,843 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'characterEncodingFilter' to: [/*]
2024-06-25 21:08:16,845 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'hiddenHttpMethodFilter' to: [/*]
2024-06-25 21:08:16,845 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'httpPutFormContentFilter' to: [/*]
2024-06-25 21:08:16,846 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'requestContextFilter' to: [/*]
2024-06-25 21:08:16,914 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**/favicon.ico] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:17,159 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerAdapter] RequestMappingHandlerAdapter.java:574 - Looking for @ControllerAdvice: org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@1c2c3d28: startup date [Tue Jun 25 21:08:15 CST 2024]; root of context hierarchy
2024-06-25 21:08:17,186 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error]}" onto public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String, java.lang.Object>> org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.error(javax.servlet.http.HttpServletRequest)
2024-06-25 21:08:17,186 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error],produces=[text/html]}" onto public org.springframework.web.servlet.ModelAndView org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.errorHtml(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
2024-06-25 21:08:17,221 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/webjars/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:17,221 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:17,270 [restartedMain] WARN  [o.s.b.a.t.ThymeleafAutoConfiguration$DefaultTemplateResolverConfiguration] ThymeleafAutoConfiguration.java:104 - Cannot find template location: classpath:/templates/ (please add some templates or check your Thymeleaf configuration)
2024-06-25 21:08:17,325 [restartedMain] WARN  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:558 - Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'dataSource' defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [com.zaxxer.hikari.HikariDataSource]: Factory method 'dataSource' threw exception; nested exception is org.springframework.boot.autoconfigure.jdbc.DataSourceProperties$DataSourceBeanCreationException: Failed to determine a suitable driver class
2024-06-25 21:08:17,325 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Stopping service [Tomcat]
2024-06-25 21:08:17,337 [restartedMain] INFO  [o.s.b.a.l.ConditionEvaluationReportLoggingListener] ConditionEvaluationReportLoggingListener.java:101 - 

Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.
2024-06-25 21:08:17,338 [restartedMain] ERROR [o.s.b.diagnostics.LoggingFailureAnalysisReporter] LoggingFailureAnalysisReporter.java:42 - 

***************************
APPLICATION FAILED TO START
***************************

Description:

Failed to configure a DataSource: 'url' attribute is not specified and no embedded datasource could be configured.

Reason: Failed to determine a suitable driver class


Action:

Consider the following:
	If you want an embedded database (H2, HSQL or Derby), please put it on the classpath.
	If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active).

2024-06-25 21:08:20,195 [restartedMain] INFO  [com.bootdo.CicApplication] StartupInfoLogger.java:50 - Starting CicApplication on USER-20240326LD with PID 4372 (D:\bj106_workspace\cic\cic-data-reportin\target\classes started by Administrator in D:\bj106_workspace\cic\cic-data-reportin)
2024-06-25 21:08:20,196 [restartedMain] INFO  [com.bootdo.CicApplication] SpringApplication.java:659 - No active profile set, falling back to default profiles: default
2024-06-25 21:08:20,216 [restartedMain] INFO  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:590 - Refreshing org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@3b8deaf7: startup date [Tue Jun 25 21:08:20 CST 2024]; root of context hierarchy
2024-06-25 21:08:21,224 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo.*.dao]' package. Please check your configuration.
2024-06-25 21:08:21,282 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo]' package. Please check your configuration.
2024-06-25 21:08:21,319 [restartedMain] INFO  [o.s.d.r.config.RepositoryConfigurationDelegate] RepositoryConfigurationDelegate.java:163 - Multiple Spring Data modules found, entering strict repository configuration mode!
2024-06-25 21:08:21,625 [restartedMain] INFO  [o.s.c.s.PostProcessorRegistrationDelegate$BeanPostProcessorChecker] PostProcessorRegistrationDelegate.java:328 - Bean 'org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration' of type [org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration$$EnhancerBySpringCGLIB$$f18d2d9d] is not eligible for getting processed by all BeanPostProcessors (for example: not eligible for auto-proxying)
2024-06-25 21:08:21,911 [restartedMain] INFO  [o.s.boot.web.embedded.tomcat.TomcatWebServer] TomcatWebServer.java:91 - Tomcat initialized with port(s): 8080 (http)
2024-06-25 21:08:21,912 [restartedMain] INFO  [org.apache.coyote.http11.Http11NioProtocol] DirectJDKLog.java:180 - Initializing ProtocolHandler ["http-nio-8080"]
2024-06-25 21:08:21,913 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Starting service [Tomcat]
2024-06-25 21:08:21,913 [restartedMain] INFO  [org.apache.catalina.core.StandardEngine] DirectJDKLog.java:180 - Starting Servlet Engine: Apache Tomcat/8.5.31
2024-06-25 21:08:21,958 [localhost-startStop-1] INFO  [o.a.c.c.ContainerBase.[Tomcat-2].[localhost].[/]] DirectJDKLog.java:180 - Initializing Spring embedded WebApplicationContext
2024-06-25 21:08:21,959 [localhost-startStop-1] INFO  [org.springframework.web.context.ContextLoader] ServletWebServerApplicationContext.java:285 - Root WebApplicationContext: initialization completed in 1743 ms
2024-06-25 21:08:22,041 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.ServletRegistrationBean] ServletRegistrationBean.java:186 - Servlet dispatcherServlet mapped to [/]
2024-06-25 21:08:22,041 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'characterEncodingFilter' to: [/*]
2024-06-25 21:08:22,042 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'hiddenHttpMethodFilter' to: [/*]
2024-06-25 21:08:22,042 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'httpPutFormContentFilter' to: [/*]
2024-06-25 21:08:22,042 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'requestContextFilter' to: [/*]
2024-06-25 21:08:22,121 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**/favicon.ico] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:22,410 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerAdapter] RequestMappingHandlerAdapter.java:574 - Looking for @ControllerAdvice: org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@3b8deaf7: startup date [Tue Jun 25 21:08:20 CST 2024]; root of context hierarchy
2024-06-25 21:08:22,438 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error]}" onto public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String, java.lang.Object>> org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.error(javax.servlet.http.HttpServletRequest)
2024-06-25 21:08:22,439 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error],produces=[text/html]}" onto public org.springframework.web.servlet.ModelAndView org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.errorHtml(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
2024-06-25 21:08:22,472 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/webjars/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:22,473 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:22,514 [restartedMain] WARN  [o.s.b.a.t.ThymeleafAutoConfiguration$DefaultTemplateResolverConfiguration] ThymeleafAutoConfiguration.java:104 - Cannot find template location: classpath:/templates/ (please add some templates or check your Thymeleaf configuration)
2024-06-25 21:08:22,560 [restartedMain] WARN  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:558 - Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'dataSource' defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [com.zaxxer.hikari.HikariDataSource]: Factory method 'dataSource' threw exception; nested exception is org.springframework.boot.autoconfigure.jdbc.DataSourceProperties$DataSourceBeanCreationException: Failed to determine a suitable driver class
2024-06-25 21:08:22,561 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Stopping service [Tomcat]
2024-06-25 21:08:22,570 [restartedMain] INFO  [o.s.b.a.l.ConditionEvaluationReportLoggingListener] ConditionEvaluationReportLoggingListener.java:101 - 

Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.
2024-06-25 21:08:22,571 [restartedMain] ERROR [o.s.b.diagnostics.LoggingFailureAnalysisReporter] LoggingFailureAnalysisReporter.java:42 - 

***************************
APPLICATION FAILED TO START
***************************

Description:

Failed to configure a DataSource: 'url' attribute is not specified and no embedded datasource could be configured.

Reason: Failed to determine a suitable driver class


Action:

Consider the following:
	If you want an embedded database (H2, HSQL or Derby), please put it on the classpath.
	If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active).

2024-06-25 21:08:45,739 [restartedMain] INFO  [com.bootdo.CicApplication] StartupInfoLogger.java:50 - Starting CicApplication on USER-20240326LD with PID 4372 (D:\bj106_workspace\cic\cic-data-reportin\target\classes started by Administrator in D:\bj106_workspace\cic\cic-data-reportin)
2024-06-25 21:08:45,740 [restartedMain] INFO  [com.bootdo.CicApplication] SpringApplication.java:659 - No active profile set, falling back to default profiles: default
2024-06-25 21:08:45,745 [restartedMain] INFO  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:590 - Refreshing org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@55bd4ed1: startup date [Tue Jun 25 21:08:45 CST 2024]; root of context hierarchy
2024-06-25 21:08:46,361 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo.*.dao]' package. Please check your configuration.
2024-06-25 21:08:46,423 [restartedMain] WARN  [org.mybatis.spring.mapper.ClassPathMapperScanner] ClassPathMapperScanner.java:167 - No MyBatis mapper was found in '[com.bootdo]' package. Please check your configuration.
2024-06-25 21:08:46,478 [restartedMain] INFO  [o.s.d.r.config.RepositoryConfigurationDelegate] RepositoryConfigurationDelegate.java:163 - Multiple Spring Data modules found, entering strict repository configuration mode!
2024-06-25 21:08:46,633 [restartedMain] INFO  [o.s.c.s.PostProcessorRegistrationDelegate$BeanPostProcessorChecker] PostProcessorRegistrationDelegate.java:328 - Bean 'org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration' of type [org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration$$EnhancerBySpringCGLIB$$f18d2d9d] is not eligible for getting processed by all BeanPostProcessors (for example: not eligible for auto-proxying)
2024-06-25 21:08:46,883 [restartedMain] INFO  [o.s.boot.web.embedded.tomcat.TomcatWebServer] TomcatWebServer.java:91 - Tomcat initialized with port(s): 8080 (http)
2024-06-25 21:08:46,885 [restartedMain] INFO  [org.apache.coyote.http11.Http11NioProtocol] DirectJDKLog.java:180 - Initializing ProtocolHandler ["http-nio-8080"]
2024-06-25 21:08:46,885 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Starting service [Tomcat]
2024-06-25 21:08:46,886 [restartedMain] INFO  [org.apache.catalina.core.StandardEngine] DirectJDKLog.java:180 - Starting Servlet Engine: Apache Tomcat/8.5.31
2024-06-25 21:08:46,927 [localhost-startStop-1] INFO  [o.a.c.c.ContainerBase.[Tomcat-3].[localhost].[/]] DirectJDKLog.java:180 - Initializing Spring embedded WebApplicationContext
2024-06-25 21:08:46,928 [localhost-startStop-1] INFO  [org.springframework.web.context.ContextLoader] ServletWebServerApplicationContext.java:285 - Root WebApplicationContext: initialization completed in 1183 ms
2024-06-25 21:08:47,108 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.ServletRegistrationBean] ServletRegistrationBean.java:186 - Servlet dispatcherServlet mapped to [/]
2024-06-25 21:08:47,109 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'characterEncodingFilter' to: [/*]
2024-06-25 21:08:47,110 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'hiddenHttpMethodFilter' to: [/*]
2024-06-25 21:08:47,110 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'httpPutFormContentFilter' to: [/*]
2024-06-25 21:08:47,110 [localhost-startStop-1] INFO  [o.s.boot.web.servlet.FilterRegistrationBean] AbstractFilterRegistrationBean.java:245 - Mapping filter: 'requestContextFilter' to: [/*]
2024-06-25 21:08:47,196 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**/favicon.ico] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:47,435 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerAdapter] RequestMappingHandlerAdapter.java:574 - Looking for @ControllerAdvice: org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext@55bd4ed1: startup date [Tue Jun 25 21:08:45 CST 2024]; root of context hierarchy
2024-06-25 21:08:47,459 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error]}" onto public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String, java.lang.Object>> org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.error(javax.servlet.http.HttpServletRequest)
2024-06-25 21:08:47,459 [restartedMain] INFO  [o.s.w.s.m.m.a.RequestMappingHandlerMapping] AbstractHandlerMethodMapping.java:547 - Mapped "{[/error],produces=[text/html]}" onto public org.springframework.web.servlet.ModelAndView org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController.errorHtml(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
2024-06-25 21:08:47,491 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/webjars/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:47,492 [restartedMain] INFO  [o.s.web.servlet.handler.SimpleUrlHandlerMapping] AbstractUrlHandlerMapping.java:373 - Mapped URL path [/**] onto handler of type [class org.springframework.web.servlet.resource.ResourceHttpRequestHandler]
2024-06-25 21:08:47,570 [restartedMain] WARN  [o.s.b.w.s.c.AnnotationConfigServletWebServerApplicationContext] AbstractApplicationContext.java:558 - Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'dataSource' defined in class path resource [org/springframework/boot/autoconfigure/jdbc/DataSourceConfiguration$Hikari.class]: Bean instantiation via factory method failed; nested exception is org.springframework.beans.BeanInstantiationException: Failed to instantiate [com.zaxxer.hikari.HikariDataSource]: Factory method 'dataSource' threw exception; nested exception is org.springframework.boot.autoconfigure.jdbc.DataSourceProperties$DataSourceBeanCreationException: Failed to determine a suitable driver class
2024-06-25 21:08:47,571 [restartedMain] INFO  [org.apache.catalina.core.StandardService] DirectJDKLog.java:180 - Stopping service [Tomcat]
2024-06-25 21:08:47,580 [restartedMain] INFO  [o.s.b.a.l.ConditionEvaluationReportLoggingListener] ConditionEvaluationReportLoggingListener.java:101 - 

Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.
2024-06-25 21:08:47,581 [restartedMain] ERROR [o.s.b.diagnostics.LoggingFailureAnalysisReporter] LoggingFailureAnalysisReporter.java:42 - 

***************************
APPLICATION FAILED TO START
***************************

Description:

Failed to configure a DataSource: 'url' attribute is not specified and no embedded datasource could be configured.

Reason: Failed to determine a suitable driver class


Action:

Consider the following:
	If you want an embedded database (H2, HSQL or Derby), please put it on the classpath.
	If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active).

